Package com.independentsoft.office.vml

# Enum Class ShadowType

java.lang.Object
java.lang.Enum<ShadowType>
com.independentsoft.office.vml.ShadowType

All Implemented Interfaces:
  `Serializable`, `Comparable<ShadowType>`, `Constable`

public enum ShadowType extends Enum<ShadowType>
The Enum ShadowType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  `DRAWING_RELATIVE`
  `EMBOSS`
  `NONE`
  `PERSPECTIVE`
  `SHARE_RELATIVE`
  `SINGLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShadowType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShadowType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final ShadowType SINGLE

  - ### DOUBLE

    public static final ShadowType DOUBLE

  - ### PERSPECTIVE

    public static final ShadowType PERSPECTIVE

  - ### SHARE_RELATIVE

    public static final ShadowType SHARE_RELATIVE

  - ### DRAWING_RELATIVE

    public static final ShadowType DRAWING_RELATIVE

  - ### EMBOSS

    public static final ShadowType EMBOSS

  - ### NONE

    public static final ShadowType NONE

- ## Method Details

  - ### values

    public static ShadowType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShadowType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null